# /etc/rc.local
# source /root/2025-ContextOS/etc/local/2025.sh
for p in `ls /root/*/etc/local.sh`; do source $p; done
[ -d /tmp/nginx ] || mkdir /tmp/nginx; cd /opt/daemon/10000/ && $PWD/sbin/nginx -p $PWD &
su - mysql -c 'cd /opt/daemon/10001/ && ./bin/mysqld --basedir=./ --datadir=./data --plugin-dir=./lib/plugin --socket=mysqld.socket --log-error=mysqld.log --pid-file=mysqld.pid --port 10001 &'
su - git -c 'cd /opt/daemon/10010/ && GITEA_WORK_DIR=$PWD/var/lib/gitea/ $PWD/usr/local/bin/gitea web -c $PWD/etc/gitea/app.ini &'
export DOCKER_HOST=unix:///opt/daemon/10002/docker.sock
cd /opt/daemon/10002/ && $PWD/bin/dockerd --host unix://$PWD/docker.sock --pidfile $PWD/docker.pid --exec-root=$PWD/exec --data-root=$PWD/data --registry-mirror "https://ccr.ccs.tencentyun.com" --userland-proxy=false &
# su - git -c 'GITEA_WORK_DIR=/var/lib/gitea/ /usr/local/bin/gitea web -c /etc/gitea/app.ini &'
